Package org.h2.util

# Class SimpleColumnInfo

java.lang.Object
org.h2.util.SimpleColumnInfo

public final class SimpleColumnInfo extends Object
Metadata of a column.

Notice: equals(Object) and hashCode() use only name field.

## Field Summary

Fields
Modifier and Type
Field
Description
`final String`
`name`
Name of the column.
`final int`
`precision`
Precision of the column
`final int`
`scale`
Scale of the column.
`final int`
`type`
Type of the column, see `Types`.
`final String`
`typeName`
Type name of the column.

## Constructor Summary

Constructors
Constructor
Description
`SimpleColumnInfo(String name, int type, String typeName, int precision, int scale)`
Creates metadata.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`int`
`hashCode()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### name

public final String name
Name of the column.

### type

public final int type
Type of the column, see `Types`.

### typeName

public final String typeName
Type name of the column.

### precision

public final int precision
Precision of the column

### scale

public final int scale
Scale of the column.

## Constructor Details

### SimpleColumnInfo

public SimpleColumnInfo(String name, int type, String typeName, int precision, int scale)
Creates metadata.

Parameters:
  `name` - name of the column
  `type` - type of the column, see `Types`
  `typeName` - type name of the column
  `precision` - precision of the column
  `scale` - scale of the column

## Method Details

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`